> **For AI agents:** this page is a focused, LLM-optimized view of a
> single Fiber AI operation. Before calling it, fetch the routing
> instructions at [`https://api.fiber.ai/llms.txt`](https://api.fiber.ai/llms.txt) and the full operation
> index at [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md).

# reverseEmailLookup

`POST /v1/email-to-person/single`

**Tags:** `Email lookup`

Find person by email (single)

**Endpoint:** `https://api.fiber.ai/v1/email-to-person/single`

## Description

Given an email address, find the person's LinkedIn profile and personal details.
If the person's name, company, or other identifiers are also available, use the Kitchen Sink endpoint instead — it accepts all available signals and produces better matches.
To avoid 429 errors, space requests evenly (such as 1/60th the rate limit per second) rather than bursting them all at once.

⚡ Rate limit: 3500 requests per 1 minute

💰 Cost: 2 credits per email lookup ⓘ

⏱ Recommended timeout: 1 minute ⓘ

## Request body (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "apiKey": {
      "type": "string",
      "description": "Your Fiber API key"
    },
    "email": {
      "type": "string",
      "format": "email",
      "minLength": 1,
      "description": "The email address of a person whose LinkedIn profile you want to find."
    }
  },
  "required": [
    "apiKey",
    "email"
  ]
}
```

## Response — success (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "output": {
      "type": "object",
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "articles": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "title": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "date_published": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "certifications": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "title": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "credential_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "verify_url": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "summary": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "linkedin_company_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "company_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "connection_count": {
                "type": [
                  "number",
                  "null"
                ]
              },
              "courses": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "title": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "course_number": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "association": {
                      "type": "null"
                    }
                  }
                }
              },
              "dob": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "education": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "school_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "school_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "field_of_study_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "field_of_study_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "degree": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "grade": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "end_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "activities": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "notes": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "experiences": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "linkedin_company_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "is_current": {
                      "type": [
                        "boolean",
                        "null"
                      ]
                    },
                    "company_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "locality": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "end_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "summary": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "title": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "seniority": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "enum": [
                        "Entry level",
                        "Director",
                        "Associate",
                        "Mid-Senior level",
                        "Internship",
                        "Executive",
                        null
                      ]
                    },
                    "job_function": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "Arts and Design",
                          "Business Development",
                          "Community & Social Services",
                          "Consulting",
                          "Education",
                          "Engineering",
                          "Entrepreneurship",
                          "Healthcare Services",
                          "Human Resources",
                          "Information Technology",
                          "Legal",
                          "Military & Protective Services",
                          "Operations",
                          "Program & Product Management",
                          "Real Estate",
                          "Sales",
                          "Support",
                          "Administrative",
                          "Finance",
                          "Marketing",
                          "Purchasing",
                          "Product Management",
                          "Advertising",
                          "Analyst",
                          "Customer Service",
                          "Distribution",
                          "Design",
                          "General Business",
                          "Management",
                          "Manufacturing",
                          "Other",
                          "Public Relations",
                          "Project Management",
                          "Production",
                          "Quality Assurance",
                          "Research",
                          "Science",
                          "Supply Chain",
                          "Training",
                          "Health Care Provider",
                          "Accounting",
                          "Art / Creative",
                          "Strategy / Planning",
                          "Writing / Editing"
                        ]
                      }
                    },
                    "employment_type": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "Full-time",
                          "Temporary",
                          "Internship",
                          "Contract",
                          "Part-time",
                          "Volunteer",
                          "Other"
                        ]
                      }
                    },
                    "academic_qualification": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "High School",
                          "Associate Degree",
                          "Bachelor Degree"
                        ]
                      }
                    },
                    "company_start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "company_end_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "first_name": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "follower_count": {
                "type": [
                  "number",
                  "null"
                ]
              },
              "headline": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "industry_name": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "inferred_location": {
                "type": [
                  "object",
                  "null"
                ],
                "properties": {
                  "street_address": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "neighborhood": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "city": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "state_name": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "state_code": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "county": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "postal_code": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "country_code": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "country_name": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "coordinates": {
                    "type": [
                      "object",
                      "null"
                    ],
                    "properties": {
                      "lat": {
                        "type": "number"
                      },
                      "lon": {
                        "type": "number"
                      }
                    },
                    "required": [
                      "lat",
                      "lon"
                    ]
                  },
                  "timezone": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "full_address": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "formatted_address": {
                    "type": [
                      "string",
                      "null"
                    ]
                  }
                }
              },
              "interests": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "string"
                }
              },
              "last_name": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "locality": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "name": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "patents": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "title": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "country": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "number": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "description": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "url": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "profile_pic": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "projects": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "project_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "project_title": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "project_url": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "project_summary": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "is_current": {
                      "type": [
                        "boolean",
                        "null"
                      ]
                    },
                    "start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "end_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "publications": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "collaborators": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "url": {
                            "type": [
                              "string",
                              "null"
                            ]
                          }
                        }
                      }
                    },
                    "date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "publisher": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "summary": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "title": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "url": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "skills": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "string"
                }
              },
              "primary_slug": {
                "type": "string"
              },
              "slugs": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "string"
                }
              },
              "summary": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "url": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "user_id": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "volunteering": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "role": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "is_current": {
                      "type": [
                        "boolean",
                        "null"
                      ]
                    },
                    "cause": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "summary": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "linkedin_company_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "company_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "end_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "tenures": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "linkedin_company_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "company_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "date_range": {
                      "type": "object",
                      "properties": {
                        "gte": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "lte": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    },
                    "range_length_days": {
                      "type": [
                        "number",
                        "null"
                      ]
                    },
                    "titles": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "localities": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    }
                  },
                  "required": [
                    "date_range",
                    "titles",
                    "localities"
                  ]
                }
              },
              "career_began_at": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "tags": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "string",
                  "enum": [
                    "student",
                    "attended-top-us-university",
                    "attended-top-global-university",
                    "second-time-founder",
                    "deep-technical-background",
                    "major-tech-company-experience",
                    "fortune-500-executive",
                    "recently-changed-companies",
                    "recently-promoted",
                    "decision-maker",
                    "c-suite",
                    "experienced-executive",
                    "phd",
                    "influencer",
                    "board-member"
                  ]
                }
              },
              "entity_urn": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "open_to_work": {
                "type": [
                  "boolean",
                  "null"
                ]
              },
              "premium": {
                "type": [
                  "boolean",
                  "null"
                ]
              },
              "influencer": {
                "type": [
                  "boolean",
                  "null"
                ]
              },
              "organizations": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "end_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "title": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "entity_urns": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "string"
                }
              },
              "is_hiring": {
                "type": [
                  "boolean",
                  "null"
                ]
              },
              "websites": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "string"
                }
              },
              "is_verified": {
                "type": [
                  "boolean",
                  "null"
                ]
              },
              "verifications": {
                "type": [
                  "object",
                  "null"
                ],
                "properties": {
                  "is_verified": {
                    "type": [
                      "boolean",
                      "null"
                    ]
                  },
                  "joined_date": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "verification_types": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "title": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "subtitle": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "description": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  }
                }
              },
              "is_top_voice": {
                "type": [
                  "boolean",
                  "null"
                ]
              },
              "current_job": {
                "type": [
                  "object",
                  "null"
                ],
                "properties": {
                  "linkedin_company_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "is_current": {
                    "type": [
                      "boolean",
                      "null"
                    ]
                  },
                  "company_name": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "locality": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "start_date": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "end_date": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "summary": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "title": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "seniority": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "enum": [
                      "Entry level",
                      "Director",
                      "Associate",
                      "Mid-Senior level",
                      "Internship",
                      "Executive",
                      null
                    ]
                  },
                  "job_function": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "string",
                      "enum": [
                        "Arts and Design",
                        "Business Development",
                        "Community & Social Services",
                        "Consulting",
                        "Education",
                        "Engineering",
                        "Entrepreneurship",
                        "Healthcare Services",
                        "Human Resources",
                        "Information Technology",
                        "Legal",
                        "Military & Protective Services",
                        "Operations",
                        "Program & Product Management",
                        "Real Estate",
                        "Sales",
                        "Support",
                        "Administrative",
                        "Finance",
                        "Marketing",
                        "Purchasing",
                        "Product Management",
                        "Advertising",
                        "Analyst",
                        "Customer Service",
                        "Distribution",
                        "Design",
                        "General Business",
                        "Management",
                        "Manufacturing",
                        "Other",
                        "Public Relations",
                        "Project Management",
                        "Production",
                        "Quality Assurance",
                        "Research",
                        "Science",
                        "Supply Chain",
                        "Training",
                        "Health Care Provider",
                        "Accounting",
                        "Art / Creative",
                        "Strategy / Planning",
                        "Writing / Editing"
                      ]
                    }
                  },
                  "employment_type": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "string",
                      "enum": [
                        "Full-time",
                        "Temporary",
                        "Internship",
                        "Contract",
                        "Part-time",
                        "Volunteer",
                        "Other"
                      ]
                    }
                  },
                  "academic_qualification": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "string",
                      "enum": [
                        "High School",
                        "Associate Degree",
                        "Bachelor Degree"
                      ]
                    }
                  },
                  "company_start_date": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "company_end_date": {
                    "type": [
                      "string",
                      "null"
                    ]
                  }
                }
              },
              "custom_data": {
                "type": [
                  "object",
                  "null"
                ],
                "additionalProperties": {
                  "type": "string"
                }
              },
              "relevance_score": {
                "type": [
                  "number",
                  "null"
                ]
              },
              "last_sort_key": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "languages": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "proficiency_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "proficiency_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "detailed_education": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "school_details": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "linkedin_ids": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "string"
                          }
                        },
                        "li_org_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "linkedin_primary_slug": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "domains": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "string"
                          }
                        },
                        "preferred_name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    },
                    "school_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "school_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "field_of_study_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "field_of_study_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "degree": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "grade": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "end_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "activities": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "notes": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "detailed_work_experiences": {
                "type": [
                  "array",
                  "null"
                ],
                "items": {
                  "type": "object",
                  "properties": {
                    "company_details": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "linkedin_ids": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "string"
                          }
                        },
                        "li_org_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "linkedin_primary_slug": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "domains": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "string"
                          }
                        },
                        "preferred_name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    },
                    "crunchbase_slug": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "linkedin_company_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "is_current": {
                      "type": [
                        "boolean",
                        "null"
                      ]
                    },
                    "company_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "locality": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "end_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "summary": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "title": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "seniority": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "enum": [
                        "Entry level",
                        "Director",
                        "Associate",
                        "Mid-Senior level",
                        "Internship",
                        "Executive",
                        null
                      ]
                    },
                    "job_function": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "Arts and Design",
                          "Business Development",
                          "Community & Social Services",
                          "Consulting",
                          "Education",
                          "Engineering",
                          "Entrepreneurship",
                          "Healthcare Services",
                          "Human Resources",
                          "Information Technology",
                          "Legal",
                          "Military & Protective Services",
                          "Operations",
                          "Program & Product Management",
                          "Real Estate",
                          "Sales",
                          "Support",
                          "Administrative",
                          "Finance",
                          "Marketing",
                          "Purchasing",
                          "Product Management",
                          "Advertising",
                          "Analyst",
                          "Customer Service",
                          "Distribution",
                          "Design",
                          "General Business",
                          "Management",
                          "Manufacturing",
                          "Other",
                          "Public Relations",
                          "Project Management",
                          "Production",
                          "Quality Assurance",
                          "Research",
                          "Science",
                          "Supply Chain",
                          "Training",
                          "Health Care Provider",
                          "Accounting",
                          "Art / Creative",
                          "Strategy / Planning",
                          "Writing / Editing"
                        ]
                      }
                    },
                    "employment_type": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "Full-time",
                          "Temporary",
                          "Internship",
                          "Contract",
                          "Part-time",
                          "Volunteer",
                          "Other"
                        ]
                      }
                    },
                    "academic_qualification": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "High School",
                          "Associate Degree",
                          "Bachelor Degree"
                        ]
                      }
                    },
                    "company_start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "company_end_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              }
            },
            "required": [
              "primary_slug"
            ]
          },
          "description": "LinkedIn profiles matching this email, ordered by best match. Usually contains one result.",
          "default": []
        },
        "rejection": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "reason": {
              "type": "string",
              "enum": [
                "disposable_or_anonymous_email",
                "invalid_tld",
                "autogenerated_icloud_email",
                "digits_only_username",
                "role_based_mailbox",
                "junk_username",
                "spam_domain",
                "bot_farm_email",
                "mailing_list"
              ],
              "description": "Machine-readable rejection reason"
            },
            "message": {
              "type": "string",
              "description": "Human-readable explanation"
            }
          },
          "required": [
            "reason",
            "message"
          ],
          "description": "Present when the email is unresolvable (e.g. disposable, anonymous relay, or role-based address). The request succeeded but there is no person to find."
        }
      },
      "required": [
        "data"
      ]
    },
    "chargeInfo": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-now"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged"
          ],
          "description": "Credits were charged immediately for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charging-later"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "Credits will be charged after the operation completes"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-for-async-process"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged",
            "message"
          ],
          "description": "Credits that were charged for an asynchronous operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "free"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "No credits were charged for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "credits-refunded"
              ]
            },
            "creditsRefunded": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsRefunded",
            "message"
          ],
          "description": "Credits were refunded for this operation"
        }
      ]
    },
    "warnings": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "object",
        "properties": {
          "field": {
            "type": "string",
            "description": "Full path to extraneous field (e.g., 'searchParams.ExtraField')"
          },
          "message": {
            "type": "string",
            "description": "Warning message"
          }
        },
        "required": [
          "field",
          "message"
        ]
      },
      "description": "Warnings about extraneous fields in request"
    },
    "advice": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "default": [],
      "description": "Tips, recommendations, and suggestions for using this API effectively."
    }
  },
  "required": [
    "output",
    "chargeInfo",
    "advice"
  ],
  "additionalProperties": false
}
```

---

Canonical JSON: [`https://api.fiber.ai/openapi.json`](https://api.fiber.ai/openapi.json)
Operation index: [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md)
